{{- $JS := resources.Get "js/main.js" | resources.Fingerprint "sha512" -}}
<script type="module" src="{{ $JS.RelPermalink }}" integrity="{{ $JS.Data.Integrity }}"></script>

{{- with .Params.scripts -}}
    {{- range . -}}
        {{- $pageJS := "" -}}
        {{- if strings.HasPrefix . "https://" -}}
            {{- $pageJS = resources.GetRemote . -}}
        {{- else -}}
            {{- $pageJS = resources.Get . -}}
        {{- end -}}
        {{- $pageJS = $pageJS | resources.Fingerprint "sha512" -}}
        <script type="module" src="{{ $pageJS.RelPermalink }}" integrity="{{ $pageJS.Data.Integrity }}"></script>
    {{- end -}}
{{- end -}}
